CLEVIS-LUKS-UNLOCK(1)

NAME
clevis-luks-unlock - Unlocks a LUKS device bound with a Clevis policy

SYNOPSIS

clevis luks unlock -d DEV [-n NAME] [-t SLT]

OVERVIEW

The clevis luks unlock command unlocks a LUKS device using its already provisioned Clevis policy. For example:

    $ clevis luks unlock -d /dev/sda

OPTIONS

    • -d DEV : The LUKS device to unlock

    • -n NAME : The name to give the unlocked device node

    • -t SLT : Test the passphrase for the given slot without unlocking the device

    • -o PARAMS : Pass arbitrary parameters to cryptsetup; quote parameters as necessary

SEE ALSO